GroupAlign (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.util
Class GroupAlign

    java.lang.Object
      fr.inrialpes.exmo.align.util.GroupAlign

    public class GroupAlign

extends Object

A batch class for an OWL ontology alignment processing. It aligns all the ontology pairs denoted under subdirectory of the current directory.

        java -cp procalign.jar fr.inrialpes.exmo.align.util.GroupAlign [options]

where the options are:

            --alignment=filename -a filename Start from an XML alignment file
            --params=filename -p filename   Read the parameters in file
            --name=filename -n filename output results in filename.rdf
            --impl=className -i classname           Use the given alignment implementation.
            --renderer=className -r className       Specifies the alignment renderer
            --debug=level -d level

    $Id: GroupAlign.java 1286 2010-03-07 18:22:12Z euzenat $

Author:
  Sean K. Bechhofer, Jérôme Euzenat

Field Summary
`(package private) String` | `alignmentClassName`
`(package private) int` | `debug`
`(package private) String` | `filename`
`(package private) String` | `initName`
`(package private) String` | `ontoDir`
`(package private) String` | `paramfile`
`(package private) BasicParameters` | `params`
`(package private) String` | `rendererClass`
`(package private) String` | `source`
`(package private) String` | `target`
`(package private) URI` | `uri1`
`(package private) String` | `urlprefix`

Constructor Summary
`GroupAlign()`

Method Summary
`void` | `align(File dir)`
`void` | `iterateDirectories()`
`static void` | `main(String[] args)`
`void` | `run(String[] args)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    BasicParameters params

### filename

    String filename

### paramfile

    String paramfile

### urlprefix

    String urlprefix

### source

    String source

### target

    String target

### uri1

    URI uri1

### initName

    String initName

### debug

    int debug

### alignmentClassName

    String alignmentClassName

### rendererClass

    String rendererClass

### ontoDir

    String ontoDir

Constructor Detail

### GroupAlign

    public GroupAlign()

Method Detail

### main

    public static void main(String[] args)

### run

    public void run(String[] args)
             throws Exception

  Throws:
    `Exception`

### iterateDirectories

    public void iterateDirectories()

### align

    public void align(File dir)
               throws Exception

  Throws:
    `Exception`

### usage

    public void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010